# eric3.KdeQt.KQProgressDialog

Compatibility module to use the KDE Progress Dialog instead of the Qt Progress Dialog.

### Classes

KQProgressDialog | Compatibility class to use the KDE Progress Dialog instead of the Qt Progress Dialog.
KQProgressDialog | Compatibility class to use the Qt Progress Dialog.

### Functions

None

## KQProgressDialog

Compatibility class to use the KDE Progress Dialog instead of the Qt Progress Dialog.

### Derived from

KProgressDialog

### Methods

KQProgressDialog | Constructor
setProgress | Public slot to set the current progress of the progress bar.
setTotalSteps | Public slot to set the total number of stepd for the progress bar.

### KQProgressDialog (Constructor)

KQProgressDialog(labelText, cancelButtonText, totalSteps, parent = None, name = None, modal = 0, f = 0)

Constructor

cancelButtonText
  text to show for the cancel button or None to disallow cancellation and to hide the cancel button
f
  window flags (ignored)
labelText
  text to show in the progress dialog
modal
  flag setting the modal state
name
  name of the progress dialog
parent
  parent of the progress dialog
totalSteps
  total number of steps for the progress bar

### KQProgressDialog.setProgress

setProgress(progress)

Public slot to set the current progress of the progress bar.

progress
  progress value to set

### KQProgressDialog.setTotalSteps

setTotalSteps(totalSteps)

Public slot to set the total number of stepd for the progress bar.

totalSteps
  total number of steps for the progress bar

Up

## KQProgressDialog

Compatibility class to use the Qt Progress Dialog.

### Derived from

QProgressDialog

### Methods

None

Up